%define pgk_version 1149d3e
Name:          indy_mock
Version:       0.0
Release:       %mkrel 1
Summary:       A set of mock classes to mimic the invokedynamic APIs in Java 7 
Group:         Development/Java
License:       CPL, GPL, LGPL, MIT
Url:           https://github.com/jruby/indy_mock
# git clone git://github.com/jruby/indy_mock.git
Source0:       https://download.github.com/jruby-indy_mock-%{pgk_version}.tar.gz
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: junit4
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
This package contains dynamic language support provided directly by the
Java core class libraries and virtual machine.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
A set of mock classes to mimic the invokedynamic APIs in Java 7 

This package contains javadoc for %{name}.

%prep
%setup -q -n jruby-indy_mock-%{pgk_version}

%build
export CLASSPATH=$(build-classpath junit4):build/classes
ant -Djavadoc.windowtitle="Indy Mock API" test jar javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/indy_mock.jar %{buildroot}%{_javadir}/indy_mock-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
  ln -sf indy_mock-%{version}.jar jsr292-mock.jar
)

mkdir -p %{buildroot}%{_javadocdir}/jruby-indy_mock-%{version}
cp -a dist/javadoc/* %{buildroot}%{_javadocdir}/jruby-indy_mock-%{version}
ln -sf jruby-indy_mock-%{version} %{buildroot}%{_javadocdir}/jruby-indy_mock

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%{_javadir}/indy_mock-%{version}.jar
%{_javadir}/indy_mock.jar
%{_javadir}/jsr292-mock.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/jruby-indy_mock-%{version}
%{_javadocdir}/jruby-indy_mock



%changelog

* Thu Nov 03 2011 dmorgan <dmorgan> 0.0-1.mga2
+ Revision: 162450
+ rebuild (emptylog)

* Sat Jun 11 2011 gil <gil> 0.0-0.mga2
+ Revision: 103616
- imported package indy_mock


* Sat Jun 11 2011 gil <gil> 0.0-0.%%mkrel
- initial rpm

